javax.el

## Class BeanELResolver.BeanProperty

- java.lang.Object
- - javax.el.BeanELResolver.BeanProperty

- Enclosing class:
    BeanELResolver

      protected static final class BeanELResolver.BeanProperty
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanELResolver.BeanProperty(java.lang.Class<?> owner, java.beans.PropertyDescriptor descriptor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getPropertyType()`
    `java.lang.reflect.Method` | `getReadMethod()`
    `java.lang.reflect.Method` | `getWriteMethod()`
    `boolean` | `isReadOnly()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanELResolver.BeanProperty

          public BeanELResolver.BeanProperty(java.lang.Class<?> owner,
                                     java.beans.PropertyDescriptor descriptor)

  - ### Method Detail

    - #### getPropertyType

          public java.lang.Class getPropertyType()

    - #### isReadOnly

          public boolean isReadOnly()

    - #### getWriteMethod

          public java.lang.reflect.Method getWriteMethod()

    - #### getReadMethod

          public java.lang.reflect.Method getReadMethod()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.